Subject: Re: bug#5303: 23.1.91; Cannot load .emacs-history from savehist.el

From: Lennart Borgman <[email-masked]>
Date: Thu, 21 Jan 2010 02:02:49 +0100

On Wed, Jan 20, 2010 at 7:18 PM, Eli Zaretskii <[email-masked]> wrote:
>
> It doesn't happen for me with stock Emacs 23.1, so it _is_ a
> regression.

A quick check with my old binaries shows that 2009-08-04 works but
2009-09-15 fails.

Some change in that period added tramp-completion-file-name-handler to
file-name-handler-alist.
Removing it from there makes (load "c:/emacs-history") succeed again.

Note however that tramp-completion-file-name-handler run the real handler.
So it looks more like it is the presence of the pattern

  ("\\`\\([a-zA-Z]:\\)?/[^/]*\\'" . tramp-completion-file-name-handler)

in file-name-handler-alist that causes the problem. Which probably
means that the problem is in `load' as Eli has suggested.